Bitcoin vs United States M2 Supply Growth

Comparison between Bitcoin’s price and US M2 money supply trends

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/metrics/bitcoin-vs-us-m2-growth/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each metric is fetched independently. Responses are trimmed samples to show structure.

2 metrics
Metric

US M2 Supply

Data used by the Bitcoin vs U.S M2 chart.

Endpoint
https://newhedge.io/api/v2/metrics/bitcoin-vs-us-m2-growth/m2_us_supply?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    22686.0
  ],
  [
    1779062400000,
    22686.0
  ],
  [
    1779148800000,
    22686.0
  ]
]
Metric

US M2 Change

Data used by the Bitcoin vs U.S M2 chart.

Endpoint
https://newhedge.io/api/v2/metrics/bitcoin-vs-us-m2-growth/m2_us_change?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    0.2594
  ],
  [
    1779062400000,
    0.2594
  ],
  [
    1779148800000,
    0.2594
  ]
]